%define name dhcp
%define	version	3.0b2pl9
%define release 3mdk
%define url  ftp://ftp.isc.org/isc/dhcp

Summary: A DHCP (Dynamic Host Configuration Protocol) server and relay agent
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Servers
Url: http://www.isc.org/dhcp.html
Source0: %{url}/dhcp-%{version}.tar.bz2
Source1: dhcpd.conf.sample
Source2: dhcpd.init
Patch0: dhcp-mdkpathcorrect.patch.bz2
Patch1: dhcp-conf-linux.patch 
Prereq:    /sbin/chkconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: dhcpd
Prefix: %{_prefix}

%description 
This is the third release of the dhcp package from the Internet Software
Consortium. DHCP (Dynamic Host Configuration Protocol) is a protocol which
allows individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address, etc.)
from a DHCP server.  The overall purpose of DHCP is to make it easier to
administer a large network.  The dhcp package includes the DHCP server and
a DHCP relay agent.

You should install dhcp if you want to set up a DHCP server on your
network. You will also need to install the dhcp-client or dhcpcd package,
which provides the DHCP client daemon, on client machines.

%package client
Summary: A DHCP (Dynamic Host Configuration Protocol) client.
Group: System/Servers

%description client
This is the third release of the dhcp package from the Internet Software
Consortium.  The Internet Software Consortium DHCP Client, dhclient,
provides a means for  configuring  one  or  more  network interfaces 
using the Dynamic Host Configuration Protocol, BOOTP protocol, or if these
protocols fail, by statically assigning an address.

%package relay
Summary: A DHCP relay
Group: System/Servers
 
%description relay
Dhcp relay is a relay agent for DHCP packets.  It is used on a subnet with
DHCP clients to "relay" their requests to a subnet that has a DHCP server
on it.  Because DHCP packets can be broadcast, they will not be routed off
of the local subnet.  The DHCP relay takes care of this for the client.
 
%prep
%setup -q 
%patch0 -p1 
%patch1 -p1
cp $RPM_SOURCE_DIR/dhcpd.conf.sample doc/

%build
# Attention isn't a autoconf script !!
./configure #--with-nsupdate
%make CC="gcc -pipe" DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall DESTDIR=${RPM_BUILD_ROOT} install 

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/dhcp
cp -a $RPM_BUILD_DIR/%{name}-%{version}/doc/dhcpd.conf.sample $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_localstatedir}/dhcp/dhcpd.leases
touch $RPM_BUILD_ROOT%{_localstatedir}/dhcp/dhclient.leases
install -m 0755 $RPM_SOURCE_DIR/dhcpd.init \
			$RPM_BUILD_ROOT%{_initrddir}/dhcpd

%post
/sbin/chkconfig --add dhcpd
# New dhcpd lease file
if [ ! -f %{_localstatedir}/dhcp/dhcpd.leases ]; then
    touch %{_localstatedir}/dhcp/dhcpd.leases
fi
if [ $1 = 0 ]; then
	%{_initrddir}/dhcpd start
fi

# Yes. Laziness.

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*

%preun
%{_initrddir}/dhcpd status | grep running && %{_initrddir}/dhcpd stop 
if [ $1 = 0 ]; then
    # execute this only if we are NOT doing an upgrade
    /sbin/chkconfig --del dhcpd 
fi

%post client
if [ ! -f %{_localstatedir}/dhcp/dhclient.leases ]; then
        touch %{_localstatedir}/dhcp/dhclient.leases
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README RELNOTES doc/*
%doc server/dhcpd.conf
%dir %{_localstatedir}/dhcp
%config(noreplace) %{_initrddir}/dhcpd
%config(noreplace) %{_sysconfdir}/dhcpd.conf.sample
%{_sbindir}/dhcpd
%{_mandir}/man5/dhcpd.conf.5*
%{_mandir}/man5/dhcpd.leases.5*
%{_mandir}/man5/dhcp-options.5*
%{_mandir}/man8/dhcpd.8*
%ghost %{_localstatedir}/dhcp/dhcpd.leases

%files client
%defattr(-,root,root)
%doc ANONCVS COPYRIGHT README RELNOTES doc/*
%doc client/dhclient.conf
%dir %{_localstatedir}/dhcp
%config(noreplace) %{_sysconfdir}/dhclient-script
/sbin/dhclient
%{_mandir}/man5/dhclient.conf.5*
%{_mandir}/man5/dhclient.leases.5*
%{_mandir}/man8/dhclient.8*
%{_mandir}/man8/dhclient-script.8*
%ghost %{_localstatedir}/dhcp/dhclient.leases

%files relay
%defattr(-,root,root)
%{_sbindir}/dhcrelay
%{_mandir}/man8/dhcrelay.8*


%changelog
* Wed Oct 18 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl9-3mdk
- fix some errors in the initscripts

* Tue Oct 17 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl9-2mdk
- modify the init script not to depend on linuxconf (thanks to A.Skwar) 

* Tue Oct 17 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl9-1mdk
- 3.0b2pl9

* Sun Oct 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.0b2pl8-1mdk
- new patch level version.

* Thu Oct  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0b2pl2-7mdk
- fixes initscript (s/return/exit)

* Thu Sep 28 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl2-6mdk
- /etc/dhcpd.conf.sample instead of /etc/dhcpd.conf

* Wed Sep 27 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl2-5mdk
- modify dhcpd.init

* Wed Sep 27 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl2-4mdk
- make a copy of the *doc*/dhcpd.conf.sample file to /etc/dhcpd.conf

* Thu Sep 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0b2pl2-3mdk
- chkconfig --del has to be done in %preun not %postun !!

* Tue Sep 07 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl2-2mdk
- adding noreplace in the config section 

* Thu Sep 07 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.0b2pl2-1mdk
- new and shiny dhcp.

* Tue Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 3.0b1pl17-6mdk
- recompile because of some modif on rpm

* Tue Aug 29 2000 Florin Grad <florin@mandrakesoft.com> 3.0b1pl17-5mdk
- updating the macros

* Mon Jul 24 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl17-4mdk
- Really fixed this update script

* Mon Jul 24 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl17-3mdk
- Fix a little typo error in upgrade script

* Fri Jul 21 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl17-2mdk
- Remove older patch remade clean one
- corrected init file (no more error for config without linux-conf)
- Now, full FHS compliant, with leases in /var/lib/dhcpd

* Fri Jul 21 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl17-1mdk
- Up to 3.0b1pl17
- Slipt in 3 packages, new one for relay.
- Correct man file path
- Clean spec file (use macro)

* Sat Jul  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0b1pl15-1mdk
- Fix %doc.
- 3.0b1pl15.

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0b1pl12-6mdk
- Correct patches.

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0b1pl12-5mdk
- Add security patch.
- Clan upmacros spec file.

* Thu Apr 13 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl12-4mdk
- Made init script at config file

* Fri Mar 24 2000 - Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0b1pl12-3mdk
- modified init script so it binds to the correct interface. It reads
  /etc/conf.linuxconf to do it.

* Tue Mar 21 2000 - Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl12-2mdk
- correct group

* Mon Dec 06 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix build as user
- Add "%%define prefix /usr"
- Replace /%%{prefix} by  %%{prefix}

* Mon Dec 01 1999 Philippe Libat <philippe@mandrakesoft.com>
- Subpackages dhcp-client
- Upgrade of patch.
- Change dhcpd.leases directory

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Prefixing the package.
- Upgrade of patch.
- 3.0b1pl0.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in %prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.
